pragma solidity ^0.4.24;

import "./ERC20.sol";
import "./MinterRole.sol";

/**
 * @title ERC20Mintable
 * @dev from https://github.com/OpenZeppelin/openzeppelin-contracts v2.0
 */
contract ERC20Mintable is ERC20, MinterRole {
  function mint(
    address to,
    uint256 value
  )
    public
    onlyMinter
    returns (bool)
  {
    _mint(to, value);
    return true;
  }
}
